<div class="col-8 offset-2 mt-3" *ngIf="topic">
  <h2>{{topic.title}}</h2>
  <h5 class="d-inline"><span class="badge badge-warning mr-3">{{topic.lang}}</span></h5>
  <h5 class="d-inline"><span class="badge badge-primary mr-3">{{topic.user.name + ' '+ topic.user.surname}}</span></h5>
  <h6 class="d-inline"><span>{{topic.date | amLocale:'es' | amTimeAgo}}</span></h6>
  <p class="mt-4">{{topic.content}}</p>
  <p class="mt-3" *ngIf="topic.code">
    <ngx-highlight-js lang="bash" code="{{topic.code}}" *ngIf="topic.code"></ngx-highlight-js>
  </p>

  <div>
    <h3>Comentarios</h3>
    <ul class="list-group">
        <li class="list-group-item mb-1" *ngFor="let comment of topic.comments">
          <span class="badge badge-primary mr-3">{{comment.user.name+' '+comment.user.surname}}</span>
          {{comment.content}}
          <span class="badge badge-secondary">{{comment.date | amLocale:'es' | amTimeAgo }}</span>

          <button *ngIf="identity._id==comment.user._id" (click)="deleteComment(comment._id)" class="btn btn-danger float-right mr-5">
            Borrar
          </button>
        </li>
    </ul>

    <hr>
    <form #formComment="ngForm" (ngSubmit)="onSubmit(formComment)" *ngIf="identity">
      <div class="form-group col-6">
        <div class="alert alert-success text-center" *ngIf="status=='success'">Comentario añadido correctamente</div>
        <div class="alert alert-danger text-center" *ngIf="status=='error'">El comentario no se añadió</div>
        <label for="content">Escribe tu comentario</label>
        <textarea id="content" name="content" #content="ngModel" [(ngModel)]="comment.content" class="form-control" required>
        </textarea>
        <p class="mt-2">
          <input type="submit" value="Enviar" [disabled]="!formComment.form.valid" class="btn btn-primary">
        </p>
      </div>
     
    </form>

   


  </div>



</div>